# File management
alias cp="cp -i"
alias mv="mv -i"
alias rm="rm -i"
alias mkdir="mkdir -p"

# Navigation
alias -g ...="../.."
alias -g ....="../../.."
alias -g .....="../../../.."
alias -g ......="../../../../.."

# ls'ing
if (( ${+commands[exa]} )); then
    alias exa="exa -Fh --color=always --git --icons"
    alias l="exa -al"
    alias la="exa -l"
    alias ll="exa -aagl"
    alias t="exa -a --tree -I '.git'"
    alias tl="t -l"
else
    alias l="ls -Ahl"
    alias la="ls -hl"
    alias ll="ls -aFhl"
    alias t="tree -aCI '.git|node_modules'"
fi

# git
alias gi="git init"
alias gsa="git submodule add"
alias gsl="git submodule foreach git pull"

# Misc.
alias cl="clear"
alias grep="grep --color=always"
alias ls="ls --color=always"
alias q="exit 0"
alias zgrep="zgrep --color=always"
alias mount="udisksctl mount -b"
alias unmount="udisksctl unmount -b"
alias unlock="udisksctl unlock -b"
alias lock="udisksctl lock -b"
(( ${+commands[tmux]} )) && alias tmux="tmux -2u"
(( ${+commands[dotnet]} )) && alias dnup="dotnet tool list --global | tail -n +3 | awk '{print \$1}' | xargs -l dotnet tool update --global"

# Platform specific
if [[ $(uname -o) == "Android" ]]; then
    alias pkgin="pkg install"
    alias pkgrm="pkg uninstall --purge"
    alias pkgqi="dpkg -s"
    alias pkgqs="dpkg -l"
    alias pkgsi="pkg info"
    alias pkgss"pkg search"
elif [[ $(uname -o) == "GNU/Linux" ]]; then
    # Package management
    if [[ $(lsb_release -si) == "Artix" ]]; then
        alias pacin="doas pacman -S"
        alias pacrm="doas pacman -Rcnsu"
        alias pacqi="pacman -Qi"
        alias pacqs="pacman -Qs"
        alias pacsi="pacman -Si"
        alias pacss="pacman -Ss"
    elif [[ $(lsb_release -si) == "Fedora" ]]; then
        alias dnfin="sudo dnf install"
        alias dnfrm="sudo dnf remove"
        alias dnfqs="sudo dnf list installed"
        alias dnfsi="sudo dnf info"
        alias dnfss="sudo dnf search"
    elif [[ $(lsb_release -si) == "Debian" ]] || [[ $(lsb_release -si) == "Ubuntu" ]]; then
        alias aptin="sudo apt install"
        alias aptrm="sudo apt purge"
        alias aptqi="dpkg -s"
        alias aptqs="dpkg -l"
        alias aptsi="apt info"
        alias aptss="apt search"
    fi

    # Misc.
    if [[ $(lsb_release -si) == "Artix" ]] || [[ $(lsb_release -si) == "Fedora" ]]; then
        alias btctl="bluetoothctl"
        alias open="xdg-open"
        alias vim="nvim"

        if [[ $(lsb_release -si) == "Artix" ]]; then
            alias code="codium --enable-features=UseOzonePlatform --ozone-platform=wayland"
            alias poweroff="doas poweroff"
            alias reboot="doas reboot"
            alias usb="doas usbctl tmp"
        fi
    fi
fi
